"use strict";
/*
 * This program and the accompanying materials are made available under the terms of the
 * Eclipse Public License v2.0 which accompanies this distribution, and is available at
 * https://www.eclipse.org/legal/epl-v20.html
 *
 * SPDX-License-Identifier: EPL-2.0
 *
 * Copyright Contributors to the Zowe Project.
 *
 */
Object.defineProperty(exports, "__esModule", { value: true });
exports.TRANSFER_TYPE_BINARY_RDW = exports.TRANSFER_TYPE_ASCII_RDW = exports.TRANSFER_TYPE_BINARY = exports.TRANSFER_TYPE_ASCII = exports.TRACK = void 0;
const zos_node_accessor_1 = require("zos-node-accessor");
/**
 * Bytes per track.
 */
exports.TRACK = 56664;
/**
 * The data is transferred in text mode, in which encoding conversion like ASCII/EBCDIC will happen.
 */
exports.TRANSFER_TYPE_ASCII = zos_node_accessor_1.TransferMode.ASCII;
/**
 * The data is transferred in binary mode, in which no encoding conversion will happen.
 */
exports.TRANSFER_TYPE_BINARY = zos_node_accessor_1.TransferMode.BINARY;
/**
 * The data is transferred in text mode like TRANSFER_TYPE_ASCII, and 4-byte RDW is inserted at beginning of each record.
 */
exports.TRANSFER_TYPE_ASCII_RDW = zos_node_accessor_1.TransferMode.ASCII_RDW;
/**
  * The data is transferred in binary mode like TRANSFER_TYPE_BINARY, and 4-byte RDW is inserted at beginning of each record.
  */
exports.TRANSFER_TYPE_BINARY_RDW = zos_node_accessor_1.TransferMode.BINARY_RDW;
//# sourceMappingURL=constants.js.map